Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.exception
Class NoPrivilegeException

    java.lang.Object
      JSException
          jet.server.api.exception.NoPrivilegeException

    public class NoPrivilegeException

extends JSException

Indicate an exception occurs, this exception will occur once a user require any action without corresponding privilege or user does not exist.

Constructor Summary
`NoPrivilegeException(int msgKey)` Construct a new `NoPrivilegeException` with specified message, the cause is not initialized.
`NoPrivilegeException(int msgKey, java.lang.Object[] params, java.lang.Throwable cause)` Constructs a new throwable with the specified detail message and cause.
`NoPrivilegeException(int msgKey, java.lang.Throwable cause)` Construct a new `NoPrivilegeException` with specified detail message and cause.
`NoPrivilegeException(java.lang.String msg)` Construct a new NoPrivilegeException with the message.
`NoPrivilegeException(java.lang.String message, java.lang.Object[] params, java.lang.Throwable cause)`
`NoPrivilegeException(java.lang.String msg, java.lang.Throwable originalThrowable)` Construct a new RptServerException with the message and the original Throwable object.
`NoPrivilegeException(java.lang.Throwable cause)` Construct a new `NoPrivilegeException` with specified cause and a `null`detail message.``

Method Summary
`java.lang.Throwable` | `getOriginalThrowable()` Get the original Throwable object.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoPrivilegeException

    public NoPrivilegeException(int msgKey,
                                java.lang.Object[] params,
                                java.lang.Throwable cause)

  Constructs a new throwable with the specified detail message and cause.

  Parameters:
    `msgKey` - the message key in strJError, for find the message, and will be loged and showed to user.
    `params` - the parameters used for format the message string, can be null.
    `cause` - the cause (which is saved for later retrieval by the getCause.

### NoPrivilegeException

    public NoPrivilegeException(int msgKey,
                                java.lang.Throwable cause)

  Construct a new `NoPrivilegeException` with specified detail message and cause.

  Parameters:
    `msgKey` - the message key
    `cause` - the cause. A `null` is permitted, and it indicates the cause is nonexistent or unknown.

### NoPrivilegeException

    public NoPrivilegeException(int msgKey)

  Construct a new `NoPrivilegeException` with specified message, the cause is not initialized.

  Parameters:
    `msgKey` - the message key

### NoPrivilegeException

    public NoPrivilegeException(java.lang.Throwable cause)

  Construct a new `NoPrivilegeException` with specified cause and a `null`detail message.

  Parameters:
    `cause` - the cause.
  ``

### NoPrivilegeException

    public NoPrivilegeException(java.lang.String message,
                                java.lang.Object[] params,
                                java.lang.Throwable cause)

### NoPrivilegeException

    public NoPrivilegeException(java.lang.String msg)

  Construct a new NoPrivilegeException with the message.

  Parameters:
    `msg` - the detailed message

### NoPrivilegeException

    public NoPrivilegeException(java.lang.String msg,
                                java.lang.Throwable originalThrowable)

  Construct a new RptServerException with the message and the original Throwable object.

  Parameters:
    `msg` - the detailed message
    `originalThrowable` - the original Throwable object.

Method Detail

### getOriginalThrowable

    public java.lang.Throwable getOriginalThrowable()

  Get the original Throwable object.

  Returns:
    the original Throwable object.

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD